.::SWF::Action(3)

NAME
SWF::Action - SWF action class

SYNOPSIS
        use SWF::Action;
        my $action = new SWF::Action($script);

DESCRIPTION
SWF::Action is an object for storing an action.

METHODS

new SWF::Action($script)
    Compiles $script and returns an SWF::Action object. The script is a text string expected, according ActionScript syntax.

$result = $actionObject->compile($versionX)
    Recompile object using syntax of versionX. (Some differences exists between values 4 and 5.) The result return value will be 0 on successful compiling.

AUTHOR
Soheil Seyfaie (soheil@netcom.ca) and developers of ming at ming.sourceforge.net

SEE ALSO
SWF, SWF::Button, SWF::Movie, SWF::MovieClip, SWF::InitAction